import { CarouselProps } from './Carousel.model';
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
        'prev-icon'?(_: {}): any;
        'next-icon'?(_: {}): any;
    };
    refs: {
        viewportRef: HTMLDivElement;
    };
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<CarouselProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    slide: (index: number) => any;
    prev: () => any;
    next: () => any;
}, string, import('vue').PublicProps, Readonly<CarouselProps> & Readonly<{
    onSlide?: ((index: number) => any) | undefined;
    onPrev?: (() => any) | undefined;
    onNext?: (() => any) | undefined;
}>, {
    vertical: boolean;
    height: string;
    gap: string;
    itemsToShow: import('./Carousel.model').CarouselItemsToShow;
    itemsToScroll: number;
    showNavigation: boolean;
    showIndicators: boolean;
    navigationPosition: import('./Carousel.model').CarouselNavigationPosition;
    indicatorsPosition: import('./Carousel.model').CarouselIndicatorsPosition;
    autoplay: boolean;
    autoplayInterval: number;
    pauseOnHover: boolean;
    loop: boolean;
    snapAlign: import('./Carousel.model').CarouselSnapAlign;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    viewportRef: HTMLDivElement;
}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
